var points = [
	[0, 80],
	[100, 100],
	[200, 30],
	[300, 50],
	[400, 40],
	[500, 80]
];

const lineGenerator = d3.line();
const curveGenerator = d3.line().curve(d3.curveCardinal);
const pathData = lineGenerator(points);
const curveData = curveGenerator(points);

d3.select('svg#line')
	.append('path')
	.attr('fill', 'none')
	.attr('stroke', '#999')
	.attr('d', pathData)

d3.select('svg#curve')
	.append('path')
	.attr('fill', 'none')
	.attr('stroke', '#999')
	.attr('d', curveData)

// draw points for reference
d3.selectAll('svg')
	.selectAll('circle')
	.data(points)
	.join('circle')
	.attr('cx', d => d[0])
	.attr('cy', d => d[1])
	.attr('r', 3)
	.attr('fill', 'none')
	.attr('stroke', '#aaa')